getCloudMysqlDatabaseList

Prev Next

Available in VPC

Get the list of Cloud DB for MySQL instance databases.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmysql/v2/getCloudMysqlDatabaseList

Request headers

For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL server instance to view
  • Check through getRegionList
  • First Region of the getRegionList query result (default)
cloudMysqlInstanceNo String Required Instance number of Cloud DB for MySQL
pageNo Integer Required Page numbers in paged results
  • Page the result values using pageNo and pageSize
  • 0 (minimum)
pageSize Integer Required Number of results to display on a page
  • Page the result values using pageNo and pageSize
  • 1 (minimum)
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlDatabaseList
?regionCode=KR
&cloudMysqlInstanceNo=****890
&pageNo=0
&pageSize=10' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See CloudMysqlDatabaseList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json
{
    "getCloudMysqlDatabaseListResponse": {
        "totalRows": 2,
        "cloudMysqlDatabaseList": [
            {
                "databaseName": "mysql_test"
            },
            {
                "databaseName": "test-****"
            }
        ],
        "requestId": "36cc2f85-****-****-****-5d2511df4e45",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudMysqlDatabaseListResponse>
    <requestId>36cc2f85-****-****-****-5d2511df4e45</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>2</totalRows>
    <cloudMysqlDatabaseList>
        <cloudMysqlDatabase>
            <databaseName>mysql_test</databaseName>
        </cloudMysqlDatabase>
        <cloudMysqlDatabase>
            <databaseName>test-****</databaseName>
        </cloudMysqlDatabase>
    </cloudMysqlDatabaseList>
</getCloudMysqlDatabaseListResponse>